<?php
include_once '../sys/inc/start.php';
$doc = new document(1);
$doc -> title = 'Новое сообщение';





if (!isset($_GET['id_theme']) || !is_numeric($_GET['id_theme']))
{
if (isset($_GET['return']))header('Refresh: 1; url='.$_GET['return']);else header('Refresh: 1; url=./');
$doc->err('Ошибка выбора темы');
exit;
}
$id_theme=(int)$_GET['id_theme'];

$q=mysql_query("SELECT * FROM `forum_themes` WHERE `id` = '$id_theme' AND `group_write` <= '$user->group' LIMIT 1");

if (!mysql_num_rows($q))
{
if (isset($_GET['return']))header('Refresh: 1; url='.$_GET['return']);else header('Refresh: 1; url=./');
$doc->err('В выбранную тему писать нельзя');
exit;
}

$theme=mysql_fetch_assoc($q);



$doc->title=$theme['name'].' - Новое собщение';

if (isset($_POST['message']))
{
$message=text::input_text($_POST['message']);
$af=&$_SESSION['antiflood']['forummessage'][$id_theme][$message]; // защита от дублирования сообщений в теме

if ($mat = is_valid::mat($message))$doc -> err('Обнаружен мат: '.$mat);
elseif (!empty($af) && $af>TIME-600 || $theme['id_last']==$user->id && $theme['time_last']>TIME-10)
{
header('Refresh: 4; url=theme.php?id='.$theme['id'].'&page=end&'.SID);
$doc->ret('В тему','theme.php?id='.$theme['id'].'&amp;page=end');
$doc->err('Сообщение уже отправлено или вы пытаетесь ответить сами себе');
exit;
}
elseif ($dcms->forum_message_captcha && $user->group < 2 && (!isset($_SESSION['captcha']) || !isset($_POST['chislo']) || $_SESSION['captcha']!==$_POST['chislo']))
{
$doc->err('Проверочное число введено неверно');
}
elseif ($message)
{
$user->balls++;
$af=TIME;

$post_update = false;
$q=mysql_query("SELECT * FROM `forum_messages` WHERE `id_theme` = '$theme[id]' ORDER BY `id` DESC LIMIT 1");

if (mysql_num_rows($q))
{
$last_post=mysql_fetch_assoc($q);
if ($last_post['id_user']==$user->id)$post_update = true;
}

if ($post_update && !isset($_POST['add_file']))
{
$message=$last_post['message']."\n\n[small]Через ".vremja(TIME-$theme['time_last']+TIME).":[/small]\n".$message;
mysql_query("UPDATE `forum_messages` SET `message` = '".my_esc($message)."' WHERE `id_theme` = '$theme[id]' AND `id_user` = '$user->id' ORDER BY `id` DESC LIMIT 1");

}
else{
mysql_query("INSERT INTO `forum_messages` (`id_category`, `id_topic`, `id_theme`, `id_user`, `time`, `message`, `group_show`, `group_edit`)
 VALUES ('$theme[id_category]','$theme[id_topic]','$theme[id]','$user->id','".TIME."','".my_esc($message)."','$theme[group_show]','$theme[group_edit]')");


}
if (isset($_POST['add_file']))
{
$id_message=mysql_insert_id();
header('Refresh: 1; url=message.files.php?id='.$id_message.'&return='.urlencode('theme.php?id='.$theme['id'].'&page=end'));
$doc->ret('Добавить файлы','message.files.php?id='.$id_message.'&amp;return='.urlencode('theme.php?id='.$theme['id'].'&page=end'));
}
else
{
header('Refresh: 1; url=theme.php?id='.$theme['id'].'&page=end&'.SID);
$doc->ret('В тему','theme.php?id='.$theme['id'].'&amp;page=end');
}



$doc->msg('Сообщение успешно отправлено');
mysql_query("UPDATE `forum_themes` SET `time_last` = '".TIME."', `id_last` = '$user->id' WHERE `id` = '$theme[id]' LIMIT 1");
//mysql_query("UPDATE `forum_topics` SET `time_last` = '".TIME."' WHERE `id` = '$theme[id_topic]' LIMIT 1");

exit;
}
else
{
$doc->err('Сообщение пусто');
}

}










$smarty = new design();
$smarty->assign('method','post');
$smarty->assign('action',"?id_theme=$theme[id]&amp;".passgen().(isset($_GET['return'])?'&amp;return='.urlencode($_GET['return']):null));
$elements=array();
$elements[]=array('type'=>'textarea', 'title'=>'Сообщение', 'br'=>1, 'info'=>array('name'=>'message'));
$elements[]=array('type'=>'checkbox', 'br'=>1, 'info'=>array('value'=>1, 'name'=>'add_file', 'text'=>'Добавить файл'));
if ($dcms->forum_message_captcha && $user->group < 2)$elements[]=array('type'=>'captcha', 'br'=>1);
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('value'=>'Отправить')); // кнопка
$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');


if (isset($_GET['return']))$doc->ret('В тему',for_value($_GET['return']));
else
$doc->ret('В тему','theme.php?id='.$theme['id']);

?>